package net.sf.sql2java.common.store;

import java.util.HashMap;
import java.util.Map;

import net.sf.sql2java.packages.PackageReference;

public class PackStore {
	private Map<String, PackageReference> packs = new HashMap<String, PackageReference>();
	
// -- Constructors ------------------------------------------------------------
	
	public PackStore() {
		
	}
	
// -- Pack Map Manipulation ---------------------------------------------------
	
	public void addPack(PackageReference pack) {
		packs.put(pack.getName(), pack);
	}
	
	public PackageReference getPack(String name) {
		return packs.get(name);
	}
	
// -- Getters -----------------------------------------------------------------
	
	public Map<String, PackageReference> getPacks() {
		return packs;
	}
	
// -- Setters -----------------------------------------------------------------
	
	public void setPacks(Map<String, PackageReference> packs) {
		this.packs = packs;
	}
}
