/*
 * SqlKeyword.java
 *
 * Created on April 6, 2007, 8:14 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package net.sf.sql2java.common.conversion;

/**
 *
 * @author dge2
 */
public class SqlKeyword extends Keyword {
    private String escapePrefix;
    private String escapeSuffix;

// -- Constructors ------------------------------------------------------------
    
    public SqlKeyword(String name, String escapePrefix, String escapeSuffix) {
        super("sql", name);
        
        this.escapePrefix = escapePrefix;
        this.escapeSuffix = escapeSuffix;
    }
    
// -- Implementations ---------------------------------------------------------

    /**
     * Replace the sql keyword with some replacement.
     *
     * Various database engines have their own escape characters. We will wrap
     * the actual name into these characters
     */
    public String replace() {
        return escapePrefix + name + escapeSuffix;
    }
    
}
